Debian Bug report logs - #289123
xterm: overlaps with the Gnome panel when maximized

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Vincent Bossier <vbo@iba.be>

Date: Fri, 7 Jan 2005 10:48:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version 4.3.0.dfsg.1-8

Fixed in version xterm/208-1

Done: David Nusinow <dnusinow@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#289123; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Bossier <vbo@iba.be>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Bossier <vbo@iba.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: overlaps with the Gnome panel when maximized
Date: Fri, 07 Jan 2005 11:33:49 +0100
Package: xterm
Version: 4.3.0.dfsg.1-8
Severity: normal

Xterm fails to maximize correctly (at least in Gnome 2.8 / Metacity
2.8.6-1). The top of the Xterm is well aligned on the Gnome top panel
but the Xterm bottom goes behind the Gnome bottom panel (about the half
of the last text line). The vertical maximum size seems to be computed wrongly.
There is no problem in the horizontal direction.

It is worth noting that I'm using anti-aliased fonts in my Xterms. Here
are the X attributes I use:

xterm*foreground:       Black
xterm*background:       White
xterm*color3:   Orange3
xterm.eightBitInput:    true
xterm*multiScroll:      on
xterm*jumpScroll:       on
xterm*scrollKey:        on
xterm*scrollTtyOutput:  off
xterm*faceName: Lucida Console
xterm*faceSize: 8
xterm*ScrollBar: on
xterm*SaveLines: 2000
xterm.eightBitOutput:   true
xterm*charClass:  33:48,37:48,45-47:48,58:32,64:32


-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-386
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages xterm depends on:
ii  libc6                     2.3.2.ds1-20   GNU C Library: Shared libraries an
ii  libexpat1                 1.95.8-1       XML parsing C library - runtime li
ii  libfontconfig1            2.2.3-4        generic font configuration library
ii  libfreetype6              2.1.7-2.3      FreeType 2 font engine, shared lib
ii  libice6                   4.3.0.dfsg.1-8 Inter-Client Exchange library
ii  libncurses5               5.4-4          Shared libraries for terminal hand
ii  libsm6                    4.3.0.dfsg.1-8 X Window System Session Management
ii  libxaw7                   4.3.0.dfsg.1-8 X Athena widget set library
ii  libxext6                  4.3.0.dfsg.1-8 X Window System miscellaneous exte
ii  libxft2                   2.1.2-6        FreeType-based font drawing librar
ii  libxmu6                   4.3.0.dfsg.1-8 X Window System miscellaneous util
ii  libxpm4                   4.3.0.dfsg.1-8 X pixmap library
ii  libxrender1               0.8.3-7        X Rendering Extension client libra
ii  libxt6                    4.3.0.dfsg.1-8 X Toolkit Intrinsics
ii  xlibs                     4.3.0.dfsg.1-8 X Window System client libraries m
ii  xlibs-data                4.3.0.dfsg.1-8 X Window System client data

-- no debconf information



Tags added: fixed-upstream Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Nusinow <dnusinow@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vincent Bossier <vbo@iba.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 289123-close@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@debian.org>
To: 289123-close@bugs.debian.org
Subject: Bug#289123: fixed in xterm 208-1
Date: Thu, 05 Jan 2006 21:32:06 -0800
Source: xterm
Source-Version: 208-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_208-1.diff.gz
  to pool/main/x/xterm/xterm_208-1.diff.gz
xterm_208-1.dsc
  to pool/main/x/xterm/xterm_208-1.dsc
xterm_208-1_i386.deb
  to pool/main/x/xterm/xterm_208-1_i386.deb
xterm_208.orig.tar.gz
  to pool/main/x/xterm/xterm_208.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 289123@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Nusinow <dnusinow@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  5 Jan 2006 23:19:35 -0500
Source: xterm
Binary: xterm
Architecture: source i386
Version: 208-1
Distribution: unstable
Urgency: low
Maintainer: David Nusinow <dnusinow@debian.org>
Changed-By: David Nusinow <dnusinow@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 289123 319179 334317
Changes: 
 xterm (208-1) unstable; urgency=low
 .
   * New upstream release (patchlevel #208). Main changes follow:
     - Implement logic in termcap query to process multiple parameters as
       documented in ctlseqs.ms
     - Fix buffer size used for termcap query, which was not long enough for
       the terminfo "colors" name.
     - Add menu entry (alt-esc) and corresponding action (alt-sends-esc) to
       toggle the eightBitInput resource setting.
     - Modify computation of rows/columns on resize to avoid extending beyond
       the given limits, e.g., if resizing in response to a "maximize" in
       Gnome or KDE which do not use the window manager hints for this case
       (closes: #289123).
     - Improve error-reporting when chown/chmod of the pseudo-terminal fails.
     - Several changes in the control sequences.
     - Improvements in the configure script.
     - Eliminate a retry for a better-matching bold font, to work around
       recent font server changes.
     - Specify weight for wide font which may be derived from normal
       fontname.
     - Cache the derived wide- and widebolt- fontnames.
     - Modify resource files to make the font-resources a little more specific,
       e.g., changing "*VT100*" to "*VT100.", to make the distinction between
       VT100.font and VT100.utf8Fonts.font sharper, in case a packager modifies
       one of those.
     - Expanded comments in UXTerm.ad regarding the font resources (closes:
       #319179).
     - Add --enable-narrowproto configure option to accommodate Xorg "modular"
       build.
     - Add scrollBarBorder resource.
     - Fix a file-descriptor leak when calling openpty().
     - A hard reset also resets the 132/80 mode.
     - Restore window manager hints after XtMakeResizeRequest() calls.
     - Scroll-down is allowed to be sent while mouse tracking is enabled.
     - Correct size-comparison in HandleInterpret() broken in changes from
       patch #201 to allocate input buffer (closes: #334317).
     - Upstream merged Debian patches 001 and 002 for typos in xterm.
     - Added setuid options.
     - add charClass resource to XTerm.ad and UXTerm.ad which simplifies
       selecting URLs
     - make -iconic option work with toolbar configuration
     - fix memory reallocation for the "UTF-8" menu entry when xterm is started
       using the +u8 option
   * Debian patches 900 and 901 resynced.
Files: 
 9eb8c15b6e40cfcf18f249891789d97d 767 x11 optional xterm_208-1.dsc
 a062d0b398918015d07c31ecdcc5111a 749755 x11 optional xterm_208.orig.tar.gz
 adffc682f818b433839238bca8436ea6 60016 x11 optional xterm_208-1.diff.gz
 4f616171653be730e4901b9c8264f78d 376454 x11 optional xterm_208-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDvf/IyLfpNdY0ad8RAsinAJ9b/QTa32JUwqGvUbxOmFYxlL4s0gCggrVj
QY4HfRgs4OcV8TIFIhpSSRc=
=atJH
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 21:35:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:46:55 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.